Vla-get-activeucs

提供: GizmoLabs - だいたい CAD LISP なサイト
移動先: 案内検索
構文
(vla-get-activeucs vla-object)


機能
図面のアクティブな UCS を取得する。


引数
  • vla-object … document の VLA オブジェクト


戻り値
UCSの VLAオブジェクト


  • memo:注記: 現在のアクティブな UCS への変更は、UCS がアクティブな UCS としてリセットされた後にのみ反映される。現在の UCS が保存されていない場合にアクティブな UCS を取得しようとすると、エラーが発生するため、アクティブな UCS 値を取得する前に、UCSNAME システム変数の値が空でないことを確認することが推奨される。
  • 新しい UCS オブジェクトを追加し、それをアクティブにしてからアクティブな UCS 値を取得することもできる。


サンプル
(command "_ucs" "na" "s" "test")
(command "_ucs" "na" "r" "test")
(setq *ActDoc* (vla-get-ActiveDocument (vlax-get-Acad-Object)))
(setq *ActUcs* (vla-get-activeucs *actdoc*))

;ダンプ
(vlax-dump-object *ActUcs*)
; IAcadUCS: 3D 空間の X、Y、Z 軸の方向を決定するユーザ定義座標系
; プロパティの値:
;   Application (RO) = #<VLA-OBJECT IAcadApplication 00000001408c91d8>
;   Document (RO) = #<VLA-OBJECT IAcadDocument 000000002abee4d0>
;   Handle (RO) = "5B7"
;   HasExtensionDictionary (RO) = 0
;   Name = "test"
;   ObjectID (RO) = 44
;   ObjectID32 (RO) = 44
;   ObjectName (RO) = "AcDbUCSTableRecord"
;   Origin = (0.0 0.0 0.0)
;   OwnerID (RO) = 45
;   OwnerID32 (RO) = 45
;   XVector = (1.0 0.0 0.0)
;   YVector = (0.0 1.0 0.0)
T

関連事項